diff -c -w "mb-depth-CVS-2008-08-01.el" "mb-depth.el"
*** mb-depth-CVS-2008-08-01.el	Fri Aug  1 08:14:50 2008
--- mb-depth.el	Fri Aug  1 09:48:54 2008
***************
*** 30,35 ****
--- 30,43 ----
  
  ;;; Code:
  
+ (defface minibuffer-depth-indicator '((t (:inherit default)))
+   "Face used to indicate minibuffer depth."
+   :group 'convenience :group 'faces)
+ 
+ (defcustom minibuffer-depth-indicator-format "%d) "
+   "*Format string for minibuffer depth indicator."
+   :type 'string :group 'convenience)
+ 
  (defvar minibuffer-depth-indicator-function nil
    "If non-nil, function to set up the minibuffer depth indicator.
  It is called with one argument, the minibuffer depth,
***************
*** 50,56 ****
      (overlay-put minibuffer-depth-overlay 'before-string
  		 (if minibuffer-depth-indicator-function
  		     (funcall minibuffer-depth-indicator-function (minibuffer-depth))
! 		   (propertize (format "[%d]" (minibuffer-depth)) 'face 'highlight)))
      (overlay-put minibuffer-depth-overlay 'evaporate t)))
  
  ;;;###autoload
--- 58,65 ----
      (overlay-put minibuffer-depth-overlay 'before-string
                   (if minibuffer-depth-indicator-function
                       (funcall minibuffer-depth-indicator-function (minibuffer-depth))
!                    (propertize (format minibuffer-depth-indicator-format (minibuffer-depth))
!                                'face 'minibuffer-depth-indicator)))
      (overlay-put minibuffer-depth-overlay 'evaporate t)))
  
  ;;;###autoload

Diff finished at Fri Aug 01 09:49:33
